Name:           perl-File-DesktopEntry
Version:        0.22
Release:        11
Summary:        Object to handle .desktop files
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/File-DesktopEntry
Source0:        https://cpan.metacpan.org/authors/id/M/MI/MICHIELB/File-DesktopEntry-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  make perl-interpreter perl-generators perl(ExtUtils::MakeMaker) perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Cwd) perl(File::Path)

%description
This module is designed to work with .desktop files. The format of these files is
specified by the freedesktop "Desktop Entry" specification. This module can parse
these files but also knows how to run the applications defined by these files.

%package_help

%prep
%autosetup -n File-DesktopEntry-%{version} -p1

%build
perl Makefile.PL NO_PACKLIST=1 INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
#make test

%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/*

%files help
%{_mandir}/man3/*

%changelog
* Wed Jan 22 2020 yanzhihua <yanzhihua4@huawei.com> - 0.22-11
- Disable test

* Sat Jan 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.22-10
- Package init
